List the caller's outbound group presets
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/group-presets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/group-presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/group-presets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"name": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at_ms": 123,
"updated_at_ms": 123,
"description": "<string>"
}
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}outbound
List the caller's outbound group presets
Returns reusable, actor-scoped group recipient presets for the authenticated workspace.
GET
/
v2
/
outbound
/
group-presets
List the caller's outbound group presets
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/group-presets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/group-presets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/group-presets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"name": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at_ms": 123,
"updated_at_ms": 123,
"description": "<string>"
}
]
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}